Subject: Re: how do you "force a pull"?

From: Jing Xue <[email-masked]>
Date: Mon, 27 Aug 2007 01:26:31 -0400

On Sun, Aug 26, 2007 at 09:02:54PM +0200, Fredrik Tolf wrote:
> 
> This is probably not as good an answer as David Watson's suggestion,
> but if what you want is to commit your current code while still having
> your savepoint commit in the history, shouldn't you be able to commit
> your current code and then use git-rebase to rebase it onto the
> savepoint commit?

Yep, I tried and it works too. A bit more verbose than a hard reset -
involved some manual merging in my case, had to update-index and then
--continue the rebase. But then I think this approach is semantically
different and probably safer than a hard reset in some cases.

All this is interesting and good to know. Thanks, Fredrik!
-- 
Jing Xue